Make the T&C have the same behaviour as the privacy statement

Bug #1746259 reported by Maria Sorica on 2018-01-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Maria Sorica

Bug Description

We need to make a series of changes in Mahara to comply with the GDPR. More info is available on the wiki at https://wiki.mahara.org/wiki/Developer_Area/Specifications_in_Development/GDPR_compliance.

We will need to make the following changes:

1. Add the T&C to the site_content_version table.

2. Display the T&C under the 'Legal' navigation link.

3. Allow the site/institution admins to create new T&C versions.

4. Ask user to agree to the site and institution T&C.

5. Show the user the current T&C version they have consented to.

6. Allow the user to withdraw their consent to the current T&C version.

7. Add T&C to the registration form

Changed in mahara:
status: New → In Progress
assignee: nobody → Maria Sorica (maria-sorica)
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8483

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8488

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8487

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8500

Changed in mahara:
milestone: none → 18.04.0
importance: Undecided → Wishlist
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8505

description: updated
description: updated
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8511

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/8512

Reviewed: https://reviews.mahara.org/8487
Committed: https://git.mahara.org/mahara/mahara/commit/03a3b227b1dd4fcb2d882b020445b8e9c7183cc5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 03a3b227b1dd4fcb2d882b020445b8e9c7183cc5
Author: Maria Sorica <email address hidden>
Date: Wed Jan 31 17:04:40 2018 +0000

Bug 1746259: Display the T&C on 'Configure site'->'Legal' page

behatnotneeded

Change-Id: I70237140502aad0296a793343b37a8aab2d3691e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8483
Committed: https://git.mahara.org/mahara/mahara/commit/f1c0934d1083e0624b262656fdf74b729be9ce91
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f1c0934d1083e0624b262656fdf74b729be9ce91
Author: Maria Sorica <email address hidden>
Date: Tue Jan 30 14:34:12 2018 +0000

Bug 1746259: Add the T&C to the site_content_version table

1. Add the site T&C to the 'site_content_version' table during installation

2. Display just the privacy statement on the privacy pages for now.
The logic to display the T&C will be added in a future patch.

behatnotneeded

Change-Id: I70c1477c974b5790762a371d37107819d3c685b6

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8484
Committed: https://git.mahara.org/mahara/mahara/commit/6392aa5608066677272b0bed3895c68341b2c0fa
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6392aa5608066677272b0bed3895c68341b2c0fa
Author: Maria Sorica <email address hidden>
Date: Tue Jan 30 15:25:28 2018 +0000

Bug 1746259: Move the T&C to the site_content_version table

1. On site update, delete all T&C from the 'site_content'
table and add it to the 'site_content_version' table.

2. Auto accept the site terms and conditions for
the site admins.

behatnotneeded

Change-Id: I07e7da0bd8bbdb3a1e36c3321e0a2b5bb3e89522

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8512
Committed: https://git.mahara.org/mahara/mahara/commit/8c507c8b13f79144417b48c05ed11dd6b7384b24
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8c507c8b13f79144417b48c05ed11dd6b7384b24
Author: Maria Sorica <email address hidden>
Date: Wed Feb 7 16:54:34 2018 +0000

Bug 1746259: Add the T&C to the register form

Had to change the definition of the following strings:
"siteprivacystatement" to "siteprivacy"
"sitetermsstatement" to "sitetermsandconditions"
"institutiontermsstatement" to "institutiontermsandconditions"

behatnotneeded

Change-Id: Ib2fd10b72ab4d6d80299a120e9cfbd11bd9fc8fe

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8505
Committed: https://git.mahara.org/mahara/mahara/commit/2814975b37c818b1ba73fb7875bc3d9adbaf806c
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2814975b37c818b1ba73fb7875bc3d9adbaf806c
Author: Maria Sorica <email address hidden>
Date: Mon Feb 5 17:07:34 2018 +0000

Bug 1746259: Show the T&C on the after login page

behatnotneeded

Change-Id: I3bf21e40c957fd97b7c1b0d836ed340bebeb7616

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8511
Committed: https://git.mahara.org/mahara/mahara/commit/5f27da1e7a07731297b8232d2cd9301d88476413
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5f27da1e7a07731297b8232d2cd9301d88476413
Author: Maria Sorica <email address hidden>
Date: Wed Feb 7 12:35:46 2018 +0000

Bug 1746259: Withdraw consent to the T&C

1. Change the user manu item name from
Settings -> Privacy statement to Settings -> Legal.
2. Display T&C on the user's Legal page.
3. Allow T&C consent withdraw.

behatnotneeded

Change-Id: I08e5d97fc5ee712d3b930881aa97de6b2486ead4

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8488
Committed: https://git.mahara.org/mahara/mahara/commit/4e67c147b74e5f51ca92c98d64b3eba7a37046b0
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4e67c147b74e5f51ca92c98d64b3eba7a37046b0
Author: Maria Sorica <email address hidden>
Date: Wed Jan 31 17:14:47 2018 +0000

Bug 1746259: Make the data on the site's 'Legal' page editable

The last version of privacy statement and the last version
of T&C are editable.

behatnotneeded

Change-Id: I444bb2dba4d119e86fb1c77d3595f982e99bd2b5

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/8500
Committed: https://git.mahara.org/mahara/mahara/commit/94533accac91ce140d9992a7ce9630b9ac10d149
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 94533accac91ce140d9992a7ce9630b9ac10d149
Author: Maria Sorica <email address hidden>
Date: Fri Feb 2 13:44:06 2018 +0000

Bug 1746259: Display and edit the T&C of an institution

behatnotneeded

Change-Id: I71f21f76129bc160904cffd1ff62dc6c7fd83c27

Robert Lyon (robertl-9) on 2018-02-14
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature
Robert Lyon (robertl-9) on 2018-04-05
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers